## ucc 1.6.0~rc2

=== debian/changelog ===
ucc (1.6.0~rc2-1) experimental; urgency=medium

  * Initial release. (Closes: #1119141)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 27 Oct 2025 14:50:55 +0000
