=== debian/control ===
Source: ucc
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13),
 libamdhip64-dev [!riscv64 !loong64],
 libhsa-runtime-dev [arm64 amd64 ppc64el],
 libhsakmt-dev [arm64 amd64 ppc64el],
 libibverbs-dev (>= 1.1.7) [amd64 arm64 loong64 riscv64 ppc64el s390x],
 libnuma-dev [amd64 arm64 loong64 riscv64 ppc64 ppc64el s390x],
 librdmacm-dev, 
 libibmad-dev,
 libibumad-dev,
 librccl-dev,
 hipcc [!riscv64 !loong64],
 mpi-default-dev,
 mpi-default-bin,
 pkgconf,
 doxygen
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/ucc.git
Vcs-Git: https://salsa.debian.org/science-team/ucc.git -b debian/latest
Homepage: https://www.openucx.org


Package: libucc-dev
Section: libdevel
Architecture: amd64 arm64 loong64 riscv64 ppc64el
Multi-Arch: same
Depends: libucc1 (= ${binary:Version}), ${misc:Depends}
Description: Header files for UCC library
 Unified Communication X (UCX) provides an optimized communication layer
 for Message Passing (MPI), PGAS/OpenSHMEM libraries and RPC/data-centric 
 applications.
 UCX utilizes high-speed networks for inter-node communication,i
 and shared memory mechanisms for efficient intra-node communication.
 This package provides development files for UCX.

Package: libucc1
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Multi-Arch: same
Description: Unified Collective Communication  libraries
 Unified Collective Communication  (UCC) provides an optimized 
 for Message Passing (MPI), PGAS/OpenSHMEM libraries and RPC/data-centric 
 applications.

Package: ucc-utils
Architecture: any
Depends: libucc1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Utilities for the UCC Collectives library
 Unified Collectives (UCC) provides an optimized communication layer
 for Message Passing (MPI), PGAS/OpenSHMEM libraries and RPC/data-centric 
 applications.
