## ucc 1.7.0~rc1

=== debian/changelog ===
ucc (1.7.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * Add d/gbp.conf for pristine-tar
  * Add d/watch
  * License name fixes (MIT-> Expat) from cme
  * Build-dep on clang-21 for hipcc
  * Drop b-d on libamdhip64-dev and librcc1; just hipcc needed
  * Build-dep on libucx-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 13 Feb 2026 16:55:12 +0000
