=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,8 @@
 include /usr/share/mpi-default-dev/debian_defaults
 MPI:=$(LIBDIR)/$(ARCH_DEFAULT_MPI_IMPL)
 
-export HIPCXX=clang++-19
-export HIPCC=clang-19
+export HIPCXX=clang++-21
+export HIPCC=clang-21
 
 export MPICC=mpicc
